#### D.2.9.2 memberpos

Procedure from library `redcgs.lib` (see redcgs_lib).

Usage:
  memberpos(f,J);
  (f,J) expected (polynomial,ideal)
  or (int,list(int))
  or (int,intvec)
  or (intvec,list(intvec))
  or (list(int),list(list(int)))
  or (ideal,list(ideal))
  or (list(intvec), list(list(intvec))).
  The ring can be @R or @P or @RP or any other.

Return:
  The list (t,pos) t int; pos int;
  t is 1 if f belongs to J and 0 if not.
  pos gives the position in J (or 0 if f does not belong).

Example:

    LIB "redcgs.lib";
    list L=(7,4,5,1,1,4,9);
    memberpos(1,L);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    4

User manual for Singular version 4.4.1, 2025, generated by texi2html.